import request from '@/utils/request'
import download from '@/utils/request';
// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/tMap/findAll',
    method: 'post',
    data: query
  })
}

export function findOne(query) {
  return request({
    url: '/knowledge/tMap/findOne',
    method: 'get',
    params: query
  })
}

export function addNew(query) {
  return request({
    url: '/knowledge/tMap/insert',
    method: 'post',
    data: query
  })
}

export function updateData(query) {
  return request({
    url: '/knowledge/tMap/update',
    method: 'post',
    data: query
  })
}

export function insertNode(query) {
  return request({
    url: '/knowledge/tMap/insertNode',
    method: 'post',
    data: query
  })
}

export function updateNode(query) {
  return request({
    url: '/knowledge/tMap/updateNode',
    method: 'post',
    data: query
  })
}


export function deleteNode(query) {
  return request({
    url: '/knowledge/tMap/deleteNode',
    method: 'get',
    params: query
  })
}

export function deleteData(ids) {
  return request({
      url: '/knowledge/tMap/delete',
      method: 'post',
      params:ids
  })
}


